Skip to main content
Version: 10.1

Backup File Info Resource

Description​

Describes information about the current generated backup file.

GET /backup/file_info​

This resource is a shortcut to get information about the currently generated backup file. The same information can be retrieved by querying the rWeb Configurations resource returned by this query.

GET Response Values​

NameTypeDescription
keyJSON StringThe backup file key "rweb_backup".
configJSON ObjectObject containing the rest of the information about the backup.
resourceJSON StringThe rWeb Configurations resource that identifies the backup information.
subkeysJSON ObjectObject containing detailed information about the backup file.
backup_typeJSON StringThe type of backup. Will be either "config" or "full". If there is no backup generated, this will "no backup taken yet".
db_sizeJSON StringThe size of rWeb's database at the time the backup was generated. This value will be omitted if there is no backup file.
file_sizeJSON StringThe number of bytes in the backup file itself. This value will be omitted if there is no backup file.
file_timestampJSON StringThe timestamp, in UTC, when the backup file was generated. This value will be omitted if there is no backup file.

Example GET Request​

GET /backup/file_info 

Example GET Response​

 [
{
"key": "rweb_backup",
"config": {
"resource": "/rweb_configurations/rweb_backup",
"subkeys": {
"backup_type": "full",
"db_size": "628 GB",
"file_size": "3709892748",
"file_timestamp": "03/12/2018 19:11:21"
}
}
}
]